import { OnInit } from '@angular/core';
import { SelectConfig } from '../select/select.config';
export declare class ScheduleComponent implements OnInit {
    /**
     * selected time input
     *
     */
    selected: object;
    /**
     * selected time output
     *
     */
    selectedOut: object;
    /**
     * @docs-private
     */
    schedules: any;
    /**
     * @docs-private
     */
    layerTime: any;
    /**
     * @docs-private
     */
    weekSelect: any;
    /**
     * @docs-private
     */
    startpoint: any;
    /**
     * @docs-private
     */
    flag: boolean;
    /**
     * @docs-private
     */
    week: string[];
    /**
     * @docs-private
     */
    hours: Array<number>;
    /**
     * @docs-private
     */
    selectData: SelectConfig[];
    constructor();
    ngOnInit(): void;
    /**
     * set day
     *
     * @param {object} event - page change event
     * @docs-private
     */
    setDay(event: any): void;
    /**
     * @docs-private
     */
    select(i: any, j: any): void;
    /**
     * @docs-private
     */
    checkDay(j: any): void;
    /**
     * @docs-private
     */
    showLabel(i: any, j: any): string;
    /**
     * @docs-private
     */
    topTimeChange(): void;
    /**
     * @docs-private
     */
    mouseup(): void;
    /**
     * @docs-private
     */
    mousedown(i: any, j: any): void;
    /**
     * @docs-private
     */
    mouseover(i: any, j: any): void;
    /**
     * @docs-private
     */
    mouseout(i: any, j: any): void;
    /**
     * @docs-private
     */
    preSelect(i: any, j: any): void;
}
